Name:           qle
Version:        0.0.13
Release:        3%{?dist}
Summary:        A QSO Logger and log Editor

Group:          Applications/Communications
License:        GPLv2+
URL:            http://home.kpn.nl/w.knol18/qle/qle.html
Source0:        http://home.kpn.nl/w.knol18/%{name}/%{name}-%{version}.tar.gz
Source1:        qle.desktop
Source2:        qle.png
#add script shebang & fix paths
Patch0:         qle-sh.patch
#Fix configuration path
Patch1:         qle-configlocation.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
 
Requires:       perl, perl(DBI), perl(DBD::SQLite), perl(Tk)
#qle requires rigctld from hamlib for communicating with transciever
Requires:       hamlib
Requires:       cwdaemon
BuildRequires:  desktop-file-utils

%description
The qle-package is a graphic QSO log viewer, log editor and QSO logger
for amateur radio operators.

'qle' stands  for QSO Logger and  Editor. It is a  Perl/Tk script that
logs (or modifies)  QSOs directly  in a  fast and  light-weight SQLite
database.

The term QSO comes from Q code used in commercial and amateur radio
communication and in refers to a radio contact.

Intended use: casual logging of  rag-chew and contest QSOs. The logger
caters for CW operators.

Table  headings, fonts,  colours and  other  attributes are  set in  a
user-editable configuration  file. The SQLite log  schema supplied may
be  altered to  suit your  taste, provided  the configuration  file is
updated accordingly.



%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
#no build needed

%install
rm -rf $RPM_BUILD_ROOT
install -p -D -m 0644 kiwi-blk-52x52.xbm $RPM_BUILD_ROOT%{_datadir}/%{name}/kiwi-blk-52x52.xbm
install -p -D -m 0644 foo3.db $RPM_BUILD_ROOT%{_datadir}/%{name}/foo3.db
install -p -D -m 0755 adifimport.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/adifimport.pl
install -p -D -m 0755 cabrilloimport.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/cabrilloimport.pl
install -p -D -m 0755 qle-%{version}.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/qle.pl
install -p -D -m 0755 showfonts.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/showfonts.pl
install -p -D -m 0755 showcolor.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/showcolor.pl
install -p -D -m 0644 master.scp $RPM_BUILD_ROOT%{_datadir}/%{name}/master.scp
install -p -D -m 0644 cty.dat $RPM_BUILD_ROOT%{_datadir}/%{name}/cty.dat
install -p -D -m 0755 qle.sh $RPM_BUILD_ROOT%{_bindir}/qle
install -p -D -m 0644 qle-%{version}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/qle.conf
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS NEWS README TODO COPYING
%dir /etc/%{name}
%config(noreplace) /etc/%{name}/%{name}.conf
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Lucian Langa <cooly@gnome.eu.org> - 0.0.13-1
- drop hamlib-perl dependency and require only hamlib
- new upstream release

* Sun Nov 23 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.10-5
- add missing patch

* Sun Nov 23 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.10-4
- add missing patch

* Thu Nov 20 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.10-3
- fix unowned dir
- fix description

* Thu Aug 28 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.10-2
- added desktop/icon file

* Wed Aug 20 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.10-1
- Misc cleanups
- Version Update

* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.8-1
- Version Update
* Fri Dec 07 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.7-3
- Fix file permissions
- Update launcher scripts
- Add missing files
- Update license tag
- Make package noarch
- Add cwdaemon dependency
* Fri Dec 07 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.7-2
- Fixed File Paths

* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.7-1
- Initial SPEC

